import { ActionCreator, TypeConstant } from '../types/form';
export declare function createAction<ActionType extends TypeConstant>(actionName: ActionType): <PayloadType>() => ActionCreator<ActionType, PayloadType>;
export declare function getActionType<ActionType, PayloadType>(action: ActionCreator<ActionType, PayloadType>): ActionType;
export declare function shallowEqual<T extends Record<string, any>>(objA: T, objB: T): boolean;
