import { ComponentType, InputHTMLAttributes, ReactElement } from 'react';
import { FieldValue, Helper } from '../types/form';
interface Props extends InputHTMLAttributes<HTMLInputElement> {
    name: string;
    component?: ComponentType<InputHTMLAttributes<HTMLInputElement> & any>;
    children?: (field: FieldValue, helper: Helper) => ReactElement;
    render?: (field: FieldValue, helper: Helper) => ReactElement;
}
export declare function Field({ component, name, children, render, ...other }: Props): ReactElement;
export {};
