import { PropsWithChildren, ReactElement } from 'react';
import { FormHelper } from '../types/form';
interface FormoProps<T> {
    initialValue: T;
    enableReinitialize?: boolean;
    onSubmit: (values: T, helper: FormHelper<T>) => void;
}
export declare function Formo<T = never>({ initialValue, children, onSubmit, enableReinitialize, }: PropsWithChildren<FormoProps<T>>): ReactElement;
export {};
