export declare const changeValue: import("..").ActionCreator<"CHANGE_VALUE", {
    key: string;
    value: string;
}>;
export declare const changeTouched: import("..").ActionCreator<"CHANGE_TOUCHED", {
    key: string;
    value: boolean;
}>;
export declare const setValues: import("..").ActionCreator<"SET_VALUES", Record<string, any>>;
export declare const setErrors: import("..").ActionCreator<"SET_ERRORS", Record<string, string>>;
export declare const setTouched: import("..").ActionCreator<"SET_TOUCHED", Record<string, boolean>>;
export declare const resetValues: import("..").ActionCreator<"RESET_VALUES", void>;
export declare type Action = ReturnType<typeof changeValue> | ReturnType<typeof resetValues> | ReturnType<typeof setValues> | ReturnType<typeof setTouched> | ReturnType<typeof setErrors> | ReturnType<typeof changeTouched>;
